Bug 972661 - RFE: shouldn't report bugs for issues which have been fixed for almost a month in stable repositories
RFE: shouldn't report bugs for issues which have been fixed for almost a mont...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
abrt_hash:22fcdbb850a6fa28a796abf3733...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 07:18 EDT by Nils Philippsen
Modified: 2014-02-05 16:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 972285
Environment:
Last Closed: 2014-02-05 16:44:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2013-06-10 07:18:16 EDT
I just got the bug report below. Instead of filing a superfluous bug for this issue (fixed packages have been pushed to the stable updates repositories on May 15th), abrt should have checked if one of the involved components can be updated to a newer version, and prompt the user to do so before filing a bug.

I've left the original bug reporter on the Cc list for any questions you may have.

+++ This bug was initially created as a clone of Bug #972285 +++

Description of problem:
Updating system with yum

Version-Release number of selected component:
system-config-services-0.101.9-1.fc18

Additional info:
cmdline:        /usr/bin/python /sbin/system-config-services
core_backtrace: 65096fc6557efe46b4d34e7b7e710af65fbe83b7 0x2f <module> /sbin/system-config-services -
executable:     /sbin/system-config-services
kernel:         3.8.11-200.fc18.i686.PAE
uid:            0

Truncated backtrace:
system-config-services:47:<module>:ImportError: No module named gui

Traceback (most recent call last):
  File "/sbin/system-config-services", line 47, in <module>
    from scservices.gui import UIController
ImportError: No module named gui

Local variables in innermost frame:
GPollableInputStream: <class 'gio.__main__.GPollableInputStream'>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/sbin/system-config-services'
gettext: <module 'gettext' from '/usr/lib/python2.7/gettext.pyc'>
__package__: None
sys: <module 'sys' (built-in)>
locale: <module 'locale' from '/usr/lib/python2.7/locale.pyc'>
use_dbus: None
GInitiallyUnowned: <class 'gtk.__main__.GInitiallyUnowned'>
__name__: '__main__'
GPollableOutputStream: <class 'gio.__main__.GPollableOutputStream'>
GFileDescriptorBased: <class 'gio.__main__.GFileDescriptorBased'>
__doc__: None
_: <function <lambda> at 0xb7737fb4>

Potential duplicate: bug 954165

--- Additional comment from Fabien Archambault on 2013-06-08 02:43:43 EDT ---



--- Additional comment from Fabien Archambault on 2013-06-08 02:43:46 EDT ---



--- Additional comment from Nils Philippsen on 2013-06-10 07:11:18 EDT ---

This is fixed in system-config-services-0.101.10-1.fc18 which is available as a stable update since mid of May. See bug #960478 for details, which covers the same issue (on Fedora 19).
Comment 1 Jakub Filak 2013-06-10 09:17:49 EDT
Thank you for taking the time to file this RFE! Well, I'm not sure but you should clone the bugzilla ticket for all affected Fedora versions and then use the corresponding bugzilla IDs in the koji builds. If you keep this general rule in mind, ABRT will find the cloned bugzilla bug and will tell to a user that you have done a great job and the bug has been already fixed. Otherwise ABRT will clone it the original bugzilla bug instead of you.
Comment 2 Fedora End Of Life 2013-12-21 08:56:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:44:57 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.